跳转到内容

直播间列表

GET /app/shareLive/getShareLiveRoomList?page=1&pageSize=20
字段 名称 类型 是否必须
page 页 int 是
pageSize 每页数量 int 是
title 直播间名称 string
share_live_category_id 分类id int
status 状态 int
字段 名称 类型
id id int
title 直播间名称 string
image_url 直播间图片 string
share_live_category_id 分类id
status 状态0等待直播1直播中2已结束 int
start_at 开始直播时间(创建直播时设置)
end_at 结束直播时间(后端点击结束直播)
begin_time 推流开始时间--没配置推流回调没有
end_time 推流结束时间--没配置推流回调没有
thrust_state 推流状态0未推流,1推流中 2断流/结束直播 int
total_time 累计时长秒
total_num 累计观看人数
like_num 累计点赞人数
is_transcribe 是否有录制 1是0否
is_playback 是否开启回放 1是2否
is_account_import 是否加入im 1是2否
is_create_group 是否创建群聊 1是2否
identifier im-用户唯一身份标识(使用"序号_用户id")
group_id im创建群聊的群组id;
share_live_room_products 直播间商品,中有商品id使用商品详情API获取商品详情 array
user 主播信息 array
push_url 推流地址 string
play_url 播放地址 array
{
"code": 0,
"data": {
"list": [
{
"id": 29,
"created_at": 1689305975,
"updated_at": 1689306411,
"title": "测试直播间",
"sort": 1,
"share_live_category_id": 1,
"image_url": "测试图片地址",
"status": 0,
"start_at": 1688019347,
"end_at": null,
"begin_time": 1689306099,
"end_time": 1689306108,
"thrust_state": 2,
"user_id": 294,
"total_time": 0,
"total_num": 0,
"order_amount_total": 0,
"order_total": 0,
"peak_bandwidth": 0,
"total_flow": 0,
"is_transcribe": 1,
"is_playback": 1,
"is_account_import": 1,
"is_create_group": 1,
"identifier": "10_294",
"group_id": "10_29",
"share_live_room_products": [
{
"id": 63,
"share_live_room_id": 29,
"product_id": 1,
"product": {
"id": 0,
"title": "",
"image_url": ""
}
},
{
"id": 64,
"share_live_room_id": 29,
"product_id": 2,
"product": {
"id": 0,
"title": "",
"image_url": ""
}
}
],
"share_live_category": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"sort": 0,
"image_url": ""
},
"user": {
"id": 294,
"created_at": 1686723954,
"updated_at": 1686723954,
"username": "15918455913",
"nickname": "沈芷莹"
},
"push_url": "rtmp://5304.livepush.myqcloud.com/live/29-supply?txSecret=b5a956c66ff82ab65a6fcaf214f744e6&txTime=64B895F0",
"play_url": {
"play_url_rtmp": "rtmp://****/live/29-supply",
"play_url_flv": "https://****/live/29-supply.flv",
"play_url_hls": "https://****/live/29-supply.hls"
},
"product_num": 2
}
],
"total": 26,
"page": 1,
"pageSize": 1,
"next_url": ""
},
"msg": "获取成功"
}